from pyvstress import Point, SoilLayer, SoilProfile

# Description: Parameter extraction as dictionary as part of Point object attribute


def main():
    # soillayers
    layer1 = SoilLayer(5, 110, 120, phi=26, c=100, sptn=4, description="SM")
    layer2 = SoilLayer(7, 115, 125, phi=28, c=100, sptn=10, description="SP")
    layer3 = SoilLayer(4, 115, 122, phi=30, c=0, sptn=20, description="CL")
    layer4 = SoilLayer(1, 112, 120, phi=25, c=25, sptn=22, description="ML")
    layer5 = SoilLayer(10, 125, 135, phi=35, c=0, sptn=5, description="SM")
    layers = [layer1, layer2, layer3, layer4, layer5]

    # point depths
    zs = [0, 2, 4, 5, 7, 9, 12, 15, 16, 20, 25, 27]
    pts = [Point(z) for z in zs]

    # soil profile
    soilprofile = SoilProfile(layers, zw=0, q=0, gammaw=62.4)
    soilprofile.assign_layer_index(pts)
    soilprofile.assign_params(pts)

    for pt in pts:
        print(pt.z, pt.soil_params)


if __name__ == "__main__":
    main()
