## Directory structure
- project folder
 * data
 * pysoil
 * tests
 * examples

The *project_folder* is the parent folder and the rest are children folders within the project folder. The data and output files should be in the *data* folder.

## Input data
Please refer to the example input file. This is a work in progress.

## User inputs
All inputs are supplied via input files or hopefully later can be supplied via the objects in the scripts.
Soil profile related information is in a single text file:
+ *zw*: the depth of ground water below ground surface (BGS).
+ *zs*: the depth of saturation zone, capillary zone above the ground water table (optional).
+ *dp*: depth of soil profile, the bottom of the last layer.
+ *ztop*: the depth of layer top BGS.
+ *bulk unit weight*: bulk unit weight of the layer.
+ *saturated unit weight*: saturated unit weight of the layer.
+ *remarks*: strings seperated by ",", remarks are not used in the analysis.

The values for stress locations are in a separate file:
+ *locations*: locations at which stress is to be computed in a separate file.


## Requirements
There is a *requirements.txt* file which was generated using ``poetry export --without-hashes -f requirements.txt --output requirements.txt``. The version number may not be very important.
